aboutsummaryrefslogtreecommitdiff
path: root/straper/db/public/boot/etc-kernel/preinst.d
diff options
context:
space:
mode:
authorLukasz Kasprzak <lukasz.kasprzak@pm.me>2026-03-20 19:16:32 +0100
committerLukasz Kasprzak <lukasz.kasprzak@pm.me>2026-03-20 19:16:32 +0100
commit39711cf6c2ec5a3b4480dcb4800cc3802bda5bf2 (patch)
tree9221704f413398cfb5d5759083b1e7032566820e /straper/db/public/boot/etc-kernel/preinst.d
parent6b59b75c3a294060dea66bdee16ffaf95ae92889 (diff)
downloadbin-39711cf6c2ec5a3b4480dcb4800cc3802bda5bf2.tar.gz
bin-39711cf6c2ec5a3b4480dcb4800cc3802bda5bf2.zip
feat: first fully successful run e2e on straper
Diffstat (limited to 'straper/db/public/boot/etc-kernel/preinst.d')
-rwxr-xr-xstraper/db/public/boot/etc-kernel/preinst.d/dkms11
-rwxr-xr-xstraper/db/public/boot/etc-kernel/preinst.d/intel-microcode17
2 files changed, 28 insertions, 0 deletions
diff --git a/straper/db/public/boot/etc-kernel/preinst.d/dkms b/straper/db/public/boot/etc-kernel/preinst.d/dkms
new file mode 100755
index 0000000..bfc175d
--- /dev/null
+++ b/straper/db/public/boot/etc-kernel/preinst.d/dkms
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# This script is triggered when the kernel (linux-image) package is being
+# installed/upgraded. We're passed the version of the kernel being installed.
+inst_kern=$1
+
+if command -v dkms > /dev/null; then
+ dkms kernel_preinst -k "$inst_kern"
+fi
+
+exit 0
diff --git a/straper/db/public/boot/etc-kernel/preinst.d/intel-microcode b/straper/db/public/boot/etc-kernel/preinst.d/intel-microcode
new file mode 100755
index 0000000..d98b40c
--- /dev/null
+++ b/straper/db/public/boot/etc-kernel/preinst.d/intel-microcode
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# /etc/kernel/preinst.d script for intel-microcode version 3
+# Copyright (C) 2014 Henrique de Moraes Holschuh <hmh@debian.org>
+# Released under the GPL v2 or later license
+#
+# This script makes sure the cpuid module is loaded, before the
+# kernel image has a chance to replace it with a new one that
+# might not be compatible with the current kernel.
+#
+# We need the cpuid module for iucode_tool --scan-system,
+# which is used by the initramfs hook.
+#
+
+grep -q cpu/cpuid /proc/devices || modprobe -q cpuid || true
+
+: